%define upstream_name    XS-Parse-Keyword
%define upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build-time support for C<XS::Parse::Keyword>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/XS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CChecker) >= 0.110.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.160.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildRequires: perl-devel
%description
This module provides some XS functions to assist in writing syntax modules
that provide new perl-visible syntax, primarily for authors of keyword
plugins using the 'PL_keyword_plugin' hook mechanism. It is unlikely to be
of much use to anyone else; and highly unlikely to be any use when writing
perl code using these. Unless you are writing a keyword plugin using XS,
this module is not for you.

This module is also currently experimental, and the design is still
evolving and subject to change. Later versions may break ABI compatibility,
requiring changes or at least a rebuild of any module that depends on it.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Sat Sep 07 2024 tv <tv> 0.460.0-1.mga10
+ Revision: 2093516
- update to 0.46

* Mon Sep 02 2024 tv <tv> 0.450.0-1.mga10
+ Revision: 2092690
- update to 0.45

* Fri Aug 23 2024 tv <tv> 0.440.0-2.mga10
+ Revision: 2089660
- Rebuild for perl-5.40

* Fri Aug 23 2024 tv <tv> 0.440.0-1.mga10
+ Revision: 2088796
- update to 0.44

* Wed Jul 10 2024 tv <tv> 0.430.0-1.mga10
+ Revision: 2080570
- update to 0.43

* Thu May 09 2024 tv <tv> 0.420.0-1.mga10
+ Revision: 2062976
- update to 0.42

* Sun Apr 28 2024 tv <tv> 0.410.0-1.mga10
+ Revision: 2061451
- update to 0.41

* Wed Dec 06 2023 tv <tv> 0.390.0-1.mga10
+ Revision: 2013788
- update to 0.39

* Fri Dec 01 2023 tv <tv> 0.380.0-3.mga10
+ Revision: 2012437
- Rebuild for perl-5.38

* Sun Nov 26 2023 tv <tv> 0.380.0-2.mga10
+ Revision: 2009911
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.380.0-1.mga10
+ Revision: 1981035
- update to 0.38

* Wed Feb 22 2023 tv <tv> 0.330.0-1.mga9
+ Revision: 1944696
- update to 0.33

* Mon Jan 16 2023 tv <tv> 0.320.0-1.mga9
+ Revision: 1933766
- update to 0.32

* Thu Dec 29 2022 tv <tv> 0.310.0-1.mga9
+ Revision: 1927679
- update to 0.31

* Mon Dec 05 2022 tv <tv> 0.300.0-1.mga9
+ Revision: 1918108
- update to 0.30

* Sun Nov 27 2022 tv <tv> 0.280.0-1.mga9
+ Revision: 1911757
- update to 0.28

* Fri Nov 04 2022 tv <tv> 0.270.0-1.mga9
+ Revision: 1902542
- update to 0.27

* Thu Oct 27 2022 tv <tv> 0.260.0-1.mga9
+ Revision: 1899644
- update to 0.26

* Tue Jul 26 2022 tv <tv> 0.250.0-1.mga9
+ Revision: 1872025
- update to 0.25

* Tue Jun 28 2022 tv <tv> 0.240.0-1.mga9
+ Revision: 1866470
- update to 0.24

* Thu May 26 2022 tv <tv> 0.230.0-1.mga9
+ Revision: 1860242
- update to 0.23

* Thu Mar 17 2022 umeabot <umeabot> 0.220.0-2.mga9
+ Revision: 1796902
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 0.220.0-1.mga9
+ Revision: 1784050
- update to 0.22

* Sat Oct 16 2021 tv <tv> 0.210.0-1.mga9
+ Revision: 1751801
- update to 0.21

* Thu Oct 07 2021 tv <tv> 0.190.0-1.mga9
+ Revision: 1749825
- update to 0.19

* Mon Oct 04 2021 tv <tv> 0.180.0-1.mga9
+ Revision: 1749391
- update to 0.18

* Mon Sep 27 2021 tv <tv> 0.170.0-1.mga9
+ Revision: 1746689
- Fix a test failure on non-x86 platforms (rhbz#2007391, CPAN RT#139445)
- update to 0.17

* Fri Sep 10 2021 tv <tv> 0.150.0-1.mga9
+ Revision: 1745017
- update to 0.15

* Fri Sep 03 2021 tv <tv> 0.140.0-1.mga9
+ Revision: 1744180
- update to 0.14

* Tue Aug 31 2021 tv <tv> 0.130.0-1.mga9
+ Revision: 1743680
- update to 0.13

* Sat Aug 21 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1742059
- update to 0.12

* Thu Aug 05 2021 tv <tv> 0.110.0-1.mga9
+ Revision: 1739494
- update to 0.11

* Sat Jul 17 2021 tv <tv> 0.100.0-1.mga9
+ Revision: 1736516
- BR perl(ExtUtils::CChecker)
- update to 0.10

* Wed Jun 23 2021 tv <tv> 0.80.0-1.mga9
+ Revision: 1731832
- update to 0.08

* Wed Jun 02 2021 tv <tv> 0.60.0-1.mga9
+ Revision: 1729282
- imported package perl-XS-Parse-Keyword

